Get fungible trades
curl --request GET \
--url https://api.neynar.com/v2/farcaster/fungible/trades/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/fungible/trades/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/fungible/trades/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "fungible_trades",
"trades": [
{
"object": "trade",
"trader": {
"fid": 3,
"object": "user_dehydrated",
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
},
"transaction": {
"hash": "<string>",
"net_transfer": {
"object": "net_transfer",
"receiving_fungible": {
"balance": {
"in_token": "<string>",
"in_usd": 123
},
"object": "fungible_balance",
"token": {
"address": "<string>",
"decimals": 123,
"logo": "<string>",
"name": "<string>",
"object": "fungible",
"symbol": "<string>",
"total_supply": "<string>"
}
},
"sending_fungible": {
"balance": {
"in_token": "<string>",
"in_usd": 123
},
"object": "fungible_balance",
"token": {
"address": "<string>",
"decimals": 123,
"logo": "<string>",
"name": "<string>",
"object": "fungible",
"symbol": "<string>",
"total_supply": "<string>"
}
}
},
"network": {
"name": "<string>",
"object": "network"
}
},
"pool": {
"address": "<string>",
"object": "pool",
"protocol_family": "<string>",
"protocol_version": "<string>"
}
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Onchain
Get fungible trades
Get recent trades for a specific fungible within a timeframe. Returns trades ordered by timestamp (most recent first).
GET
/
v2
/
farcaster
/
fungible
/
trades
/
Get fungible trades
Node.js SDK
š SDK Method: fetchFungibleTrades Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
Available options:
base Contract address
Time window for trades e.g. "1h", "6h", "12h", "24h", "7d"
Available options:
1h, 6h, 12h, 24h, 7d Minimum USD amount to filter trades
Was this page helpful?
āI